/*
 * JBossWS WS-Tools Generated Source
 *
 * Generation Date: Fri Apr 27 12:51:17 BST 2007
 *
 * This generated source code represents a derivative work of the input to
 * the generator that produced it. Consult the input for the copyright and
 * terms of use that apply to this source code.
 */

package org.jboss.bpel.samples.ordermanagement;


public class  SalesOrderFault
 extends Exception{

private java.lang.String reason;
public SalesOrderFault(java.lang.String reason){
super(reason);
this.reason=reason;
}
public java.lang.String getReason() { return reason ;}



}
